'use server';
import { getSignedUrl, getProfile } from '@/lib/actions';
import Image from 'next/image';

const Page = async () => {
  const user = await getProfile();
  if (!user.success) throw new Error(user.error);

  const imageUrl = await getSignedUrl({
    bucket: 'avatars',
    url: user.data.avatar_url ?? '',
  });
  if (!imageUrl.success) throw new Error(imageUrl.error);

  return (
    <div className='flex justify-center items-center p-8'>
      <Image
        src={imageUrl.data ?? '/favicon.ico'}
        alt='User avatar'
        width={150}
        height={150}
        className='rounded-full'
        priority
      />
    </div>
  );
};
export default Page;
