'use server';

import Link from 'next/link';
import { Button } from '@/components/ui';
import { createServerClient } from '@/utils/supabase';
import { signOut } from '@/lib/actions';

const NavigationAuth = async () => {
  const supabase = await createServerClient();
  const {
    data: { user },
  } = await supabase.auth.getUser();

  return user ? (
    <div className='flex items-center gap-4'>
      Hello, {user.email}!
      <form action={signOut}>
        <Button type='submit' variant='outline'>
          Sign out
        </Button>
      </form>
    </div>
  ) : (
    <div className='flex gap-2'>
      <Button asChild size='default' variant={'outline'}>
        <Link href='/sign-in'>Sign in</Link>
      </Button>
      <Button asChild size='sm' variant={'default'}>
        <Link href='/sign-up'>Sign up</Link>
      </Button>
    </div>
  );
};
export default NavigationAuth;
